from app import app, db
from flask import abort, flash, redirect, request, url_for
from flask_login import current_user

from app.models.polls.simple import SimplePoll
from app.forms.poll import PollForm
from app.utils.render import render

@app.route("/compte/sondages", methods=['GET', 'POST'])
def account_polls():
    form = PollForm()
    polls = current_user.polls

    if form.validate_on_submit():
        choices = list(filter(None, form.choices.data.split('\n')))
        p = SimplePoll(current_user, form.title.data, choices,
            start=form.start.data, end=form.end.data)
        db.session.add(p)
        db.session.commit()

        flash(f"Le sondage {p.id} a été créé", "info")

    return render("account/polls.html", polls=polls, form=form)
